Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.aop
Interface AspectablePicoContainerFactory

All Known Implementing Classes:
  DynaopAspectablePicoContainerFactory

    public interface AspectablePicoContainerFactory

Produces `AspectablePicoContainer` objects. Mixes in an `AspectsContainer` with a `org.picocontainer.MutablePicoContainer` to produce an `AspectablePicoContainer`.

Version:
  $Revision: 3144 $
Author:
  Stephen Molitor, Mauro Talevi

Method Summary
`AspectablePicoContainer` | `createContainer()` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(Class containerClass, AspectsManager aspectsManager, org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(Class containerClass, org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `createContainer(org.picocontainer.PicoContainer parent)` Creates a new `AspectablePicoContainer`.
`AspectablePicoContainer` | `makeChildContainer(AspectablePicoContainer parent)` Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer` The child container will be obtained aspectifying `MutablePicoContainer#makeChildContainer()`.
`AspectablePicoContainer` | `makeChildContainer(AspectsManager aspectsManager, AspectablePicoContainer parent)` Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer`.

Method Detail

### createContainer

    AspectablePicoContainer createContainer(Class containerClass,
                                            AspectsManager aspectsManager,
                                            org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                            org.picocontainer.PicoContainer parent)

  Creates a new `AspectablePicoContainer`.

  Parameters:
    `containerClass` - the class of the basic container to delegate to.
    `aspectsManager` - the aspects manager used to register and apply aspects.
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    AspectablePicoContainer createContainer(Class containerClass,
                                            org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                            org.picocontainer.PicoContainer parent)

  Creates a new `AspectablePicoContainer`.

  Parameters:
    `containerClass` - the class of the basic container to delegate to.
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    AspectablePicoContainer createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                            org.picocontainer.PicoContainer parent)

  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container.

  Parameters:
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    AspectablePicoContainer createContainer(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory)

  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container.

  Parameters:
    `componentAdapterFactory` - the delegate component adapter factory used to produce components.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    AspectablePicoContainer createContainer(org.picocontainer.PicoContainer parent)

  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container. Uses `org.picocontainer.defaults.DefaultComponentAdapterFactory` as the delegate component adapter factory.

  Parameters:
    `parent` - the parent container.
  Returns:
    a new `AspectablePicoContainer`.

### createContainer

    AspectablePicoContainer createContainer()

  Creates a new `AspectablePicoContainer`. Uses `org.picocontainer.defaults.DefaultPicoContainer` as the delegate container. Uses `org.picocontainer.defaults.DefaultComponentAdapterFactory` as the delegate component adapter factory.

  Returns:
    a new `AspectablePicoContainer`.

### makeChildContainer

    AspectablePicoContainer makeChildContainer(AspectsManager aspectsManager,
                                               AspectablePicoContainer parent)

  Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer`. The child container will be obtained aspectifying `MutablePicoContainer#makeChildContainer()`.

  Parameters:
    `aspectsManager` - the aspects manager used to register and apply aspects.
    `parent` - the parent AspectablePicoContainer
  Returns:
    A child AspectablePicoContainer

### makeChildContainer

    AspectablePicoContainer makeChildContainer(AspectablePicoContainer parent)

  Make a child `AspectablePicoContainer` of a given `AspectablePicoContainer` The child container will be obtained aspectifying `MutablePicoContainer#makeChildContainer()`.

  Parameters:
    `parent` - the parent AspectablePicoContainer
  Returns:
    A child AspectablePicoContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.